curl --request GET \
--url https://api.embedreach.com/api/batches/{batchId}{
"success": true,
"message": "<string>",
"data": {
"batchId": "<string>",
"status": "success",
"batchType": "PARTNER_RESOURCE_JSON_INGEST",
"progress": {
"totalRecords": 123,
"processedRecords": 123,
"successfulRecords": 123,
"pendingRecords": 123,
"failedRecords": 123,
"successRate": 123
},
"completedAt": "<string>",
"startedAt": "<string>",
"createdAt": "<string>",
"schemaName": "<string>",
"schemaDefinitionId": "<string>",
"errors": {
"summary": {},
"details": {},
"message": "<string>"
},
"pendingResources": [
{
"id": "<string>",
"resourceExternalId": "<string>",
"schemaDefinitionId": "<string>",
"missingDependencies": [
{
"schemaDefinitionId": "<string>",
"externalId": "<string>",
"schemaName": "<string>"
}
],
"expiresAt": "<string>",
"createdAt": "<string>",
"schemaName": "<string>"
}
]
}
}Retrieves the current status, progress, and any error details for a batch operation.
curl --request GET \
--url https://api.embedreach.com/api/batches/{batchId}{
"success": true,
"message": "<string>",
"data": {
"batchId": "<string>",
"status": "success",
"batchType": "PARTNER_RESOURCE_JSON_INGEST",
"progress": {
"totalRecords": 123,
"processedRecords": 123,
"successfulRecords": 123,
"pendingRecords": 123,
"failedRecords": 123,
"successRate": 123
},
"completedAt": "<string>",
"startedAt": "<string>",
"createdAt": "<string>",
"schemaName": "<string>",
"schemaDefinitionId": "<string>",
"errors": {
"summary": {},
"details": {},
"message": "<string>"
},
"pendingResources": [
{
"id": "<string>",
"resourceExternalId": "<string>",
"schemaDefinitionId": "<string>",
"missingDependencies": [
{
"schemaDefinitionId": "<string>",
"externalId": "<string>",
"schemaName": "<string>"
}
],
"expiresAt": "<string>",
"createdAt": "<string>",
"schemaName": "<string>"
}
]
}
}If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
The batch ID to check status for
Whether to include detailed information about pending resources and their dependencies
true, false Status 200 response
Show child attributes
The ID of the batch operation
The current status of the batch operation
success, partial_success, failure, processing The type of batch operation
PARTNER_RESOURCE_JSON_INGEST, PARTNER_RESOURCE_BATCH_DELETE, PARTNER_RESOURCE_BATCH_PATCH Detailed progress information
Show child attributes
Total number of records in the batch
Number of records processed so far
Number of records processed successfully
Number of records stored as pending due to missing dependencies
Number of records that failed processing
Percentage of successful records (0-100)
Timestamp when the batch completed processing
Timestamp when the batch started processing
Timestamp when the batch was created
The name of the schema definition used for this batch
The ID of the schema definition used for this batch
Error information if there were any issues
Show child attributes
General error message if the entire batch failed
Detailed information about resources stored as pending (only included if includePendingDetails query parameter is set)
Show child attributes
The ID of the pending resource
The external ID of the resource that is pending
The schema definition ID for this resource
List of dependencies this resource is waiting for
Show child attributes
The schema definition ID of the missing dependency
The external ID of the missing dependency
The schema definition name of the missing dependency
When this pending resource will expire if dependencies are not resolved
When the resource was stored as pending
The schema definition name for this resource